Browse Source

[goal] Migrate testing to ubuntu focal

As per victoria cycle testing runtime and community goal[1]
we need to migrate upstream CI/CD to Ubuntu Focal(20.04).

Fixing:
- bug#1886298
Bump the lower constraints for required deps which added python3.8 support
in their later version.

Story: #2007865
Task: #40190

Closes-Bug: #1886298

[1] https://governance.openstack.org/tc/goals/selected/victoria/migrate-ci-cd-jobs-to-ubuntu-focal

Change-Id: I5712f29beee2bd7d8ba857c0ce2cd2287646d6b0
changes/17/743117/15 18.0.0
Ghanshyam Mann 1 year ago
parent
commit
db25e505a3
  1. 13
      .zuul.yaml
  2. 14
      lower-constraints.txt
  3. 10
      requirements.txt
  4. 4
      test-requirements.txt

13
.zuul.yaml

@ -204,7 +204,7 @@
- project:
templates:
- openstack-cover-jobs
#- openstack-lower-constraints-jobs
- openstack-lower-constraints-jobs
- openstack-python3-victoria-jobs
- publish-openstack-docs-pti
- periodic-stable-jobs
@ -221,14 +221,6 @@
- ^etc/.*$
- ^keystone/tests/unit/.*$
- ^releasenotes/.*$
- openstack-tox-lower-constraints:
nodeset: ubuntu-bionic
irrelevant-files: &func_irrelevant-files
- ^.*\.rst$
- ^api-ref/.*$
- ^doc/.*$
- ^etc/.*$
- ^releasenotes/.*$
- keystone-dsvm-py3-functional-federation-ubuntu-focal:
voting: false
irrelevant-files: *irrelevant-files
@ -257,9 +249,6 @@
- keystone-tox-protection
gate:
jobs:
- openstack-tox-lower-constraints:
nodeset: ubuntu-bionic
irrelevant-files: *func_irrelevant-files
- keystone-dsvm-py3-functional:
irrelevant-files: *irrelevant-files
- keystone-dsvm-py3-functional-federation-ubuntu-focal-k2k:

14
lower-constraints.txt

@ -3,9 +3,9 @@ Babel==2.3.4
bashate==0.5.1
bcrypt==3.1.3
coverage==4.0
cryptography==2.1
cryptography==2.7
docutils==0.14
dogpile.cache==0.6.2
dogpile.cache==1.0.2
fixtures==3.0.0
flake8-docstrings==0.2.1.post1
flake8==2.6.0
@ -18,7 +18,7 @@ jsonschema==3.2.0
keystoneauth1==3.4.0
keystonemiddleware==7.0.0
ldappool===2.3.1
lxml==3.4.1
lxml==4.5.0
mock==2.0.0
msgpack==0.5.0
oauthlib==0.6.2
@ -27,7 +27,7 @@ oslo.cache==1.26.0
oslo.concurrency==3.26.0
oslo.config==5.2.0
oslo.context==2.22.0
oslo.db==4.27.0
oslo.db==6.0.0
oslo.i18n==3.15.3
oslo.log==3.44.0
oslo.messaging==5.29.0
@ -48,15 +48,15 @@ python-ldap===3.0.0
pymongo===3.0.2
pysaml2==5.0.0
PyJWT==1.6.1
PyMySQL==0.7.6
PyMySQL==0.8.0
python-keystoneclient==3.8.0
python-memcached===1.56
pytz==2013.6
requests==2.14.2
scrypt==0.8.0
six==1.10.0
sqlalchemy-migrate==0.11.0
SQLAlchemy==1.1.0
sqlalchemy-migrate==0.13.0
SQLAlchemy==1.3.0
stestr==1.0.0
stevedore==1.20.0
tempest==17.1.0

10
requirements.txt

@ -6,9 +6,9 @@ pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
Flask!=0.11,>=1.0.2 # BSD
Flask-RESTful>=0.3.5 # BSD
cryptography>=2.1 # BSD/Apache-2.0
SQLAlchemy>=1.1.0 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0
SQLAlchemy>=1.3.0 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
@ -19,7 +19,7 @@ oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
@ -30,7 +30,7 @@ oslo.utils>=3.33.0 # Apache-2.0
oauthlib>=0.6.2 # BSD
pysaml2>=5.0.0
PyJWT>=1.6.1 # MIT
dogpile.cache>=0.6.2 # BSD
dogpile.cache>=1.0.2 # BSD
jsonschema>=3.2.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack>=0.5.0 # Apache-2.0

4
test-requirements.txt

@ -11,14 +11,14 @@ freezegun>=0.3.6 # Apache-2.0
pytz>=2013.6 # MIT
# Include drivers for opportunistic testing.
oslo.db[fixtures,mysql,postgresql]>=4.27.0 # Apache-2.0
oslo.db[fixtures,mysql,postgresql]>=6.0.0 # Apache-2.0
# computes code coverage percentages
coverage!=4.4,>=4.0 # Apache-2.0
# fixture stubbing
fixtures>=3.0.0 # Apache-2.0/BSD
# xml parsing
lxml!=3.7.0,>=3.4.1 # BSD
lxml>=4.5.0 # BSD
oslotest>=3.2.0 # Apache-2.0
# test wsgi apps without starting an http server

Loading…
Cancel
Save